

<?php $__env->startSection('section'); ?>

<div class="page-content">

    <!-- INNER PAGE BANNER -->
    <div class="wt-bnr-inr overlay-wraper bg-center" style="background-image:url(<?php echo e(asset('frontend/images/banner/1.jpg')); ?>);">
        <div class="overlay-main site-bg-white opacity-01"></div>
        <div class="container">
            <div class="wt-bnr-inr-entry">
                <div class="banner-title-outer">
                    <div class="banner-title-name">
                        <h2 class="wt-title"><?php echo e($job['job_name']); ?></h2>
                    </div>
                </div>
                <!-- BREADCRUMB ROW -->

                <div>
                    <ul class="wt-breadcrumb breadcrumb-style-2">
                        <li><a href="<?php echo e(route('home')); ?>">Home</a></li>
                        <li>Job Detail</li>
                    </ul>
                </div>

                <!-- BREADCRUMB ROW END -->
            </div>
        </div>
    </div>
    <!-- INNER PAGE BANNER END -->



    <!-- OUR BLOG START -->
    <div class="section-full  p-t120 p-b90 bg-white">
        <div class="container">

            <!-- BLOG SECTION START -->
            <div class="section-content">
                <div class="row d-flex justify-content-center">

                    <div class="col-lg-8 col-md-12">
                        <!-- Candidate detail START -->
                        <div class="cabdidate-de-info">
                            <div class="twm-job-self-wrap">
                                <div class="twm-job-self-info">
                                    <div class="twm-job-self-top">
                                        <div class="twm-media-bg">
                                            <img src="<?php echo e(asset('frontend/images/job-detail-bg.jpg')); ?>" alt="#">
                                            <div class="twm-jobs-category green"><span class="twm-bg-green">New</span></div>
                                        </div>


                                        <div class="twm-mid-content">

                                            <div class="twm-media">
                                                <img src="<?php echo e(asset('frontend/'. $job['company_logo'])); ?>" alt="<?php echo e($job['company_name']); ?>">
                                            </div>

                                            <h4 class="twm-job-title"><?php echo e($job['job_name']); ?><span
                                                    class="twm-job-post-duration">/ <?php echo e(\Carbon\Carbon::parse($job['post_date'])->diffForHumans()); ?></span></h4>
                                            <p class="twm-job-address"><i class="feather-map-pin"></i><?php echo e($job['company_address']); ?></p>
                                            <div class="twm-job-self-mid">
                                                <div class="twm-job-self-mid-left">
                                                    <div class="twm-jobs-amount">&#8360; <?php echo e($job['salary']); ?><span>/
                                                            Month</span></div>
                                                </div>
                                                <div class="twm-job-apllication-area">Application ends:
                                                    <span class="twm-job-apllication-date"><?php echo e(\Carbon\Carbon::parse($job['post_end_date'])->format('F j, Y')); ?></span>
                                                </div>
                                            </div>

                                            <div class="twm-job-self-bottom">
                                                <a class="site-button" data-bs-toggle="modal"
                                                    href="#apply_job_popup" role="button">
                                                    Apply Now
                                                </a>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                            
                            <div class="jobdesc">
                                <h4 class="twm-s-title">Job Description:</h4>
                                <?php echo $job['job_desc']; ?>

                            </div>

                            <h4 class="twm-s-title">Share Profile</h4>
                            <div class="twm-social-tags">
                                <a href="javascript:void(0)" class="fb-clr">Facebook</a>
                                <a href="javascript:void(0)" class="tw-clr">Twitter</a>
                                <a href="javascript:void(0)" class="link-clr">Linkedin</a>
                                <a href="javascript:void(0)" class="whats-clr">Whatsapp</a>
                                <a href="javascript:void(0)" class="pinte-clr">Pinterest</a>
                            </div>

                            <div class="twm-two-part-section">
                                <div class="row">

                                    <div class="col-lg-6 col-md-12">
                                        <h4 class="twm-s-title">Office Photos</h4>
                                        <div class="tw-sidebar-gallery">
                                            <ul>
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic1.jpg')); ?>" title="Title 1" data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic1.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic1.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic2.jpg')); ?>" title="Title 2" data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic2.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic2.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb ">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic3.jpg')); ?>" title="Title 3"  data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic3.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic3.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic4.jpg')); ?>" title="Title 4"  data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic4.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic4.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic5.jpg')); ?>" title="Title 5"  data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic5.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic5.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic6.jpg')); ?>" title="Title 6"  data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic6.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic6.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>

                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic7.jpg')); ?>" title="Title 7" data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic1.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic7.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic8.jpg')); ?>" title="Title 8" data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic2.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic8.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb ">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic9.jpg')); ?>" title="Title 9"  data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic3.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic9.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic10.jpg')); ?>" title="Title 10"  data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic4.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic10.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic11.jpg')); ?>" title="Title 11"  data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic5.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic11.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                                <li>
                                                    <div class="tw-service-gallery-thumb">
                                                        <a class="elem" href="<?php echo e(asset('frontend/images/gallery/pic12.jpg')); ?>" title="Title 12"  data-lcl-author="" data-lcl-thumb="<?php echo e(asset('frontend/images/gallery/thumb/pic6.jpg')); ?>">
                                                            <img src="<?php echo e(asset('frontend/images/gallery/thumb/pic12.jpg')); ?>" alt="">
                                                            <i class="fa fa-file-image"></i>     
                                                        </a>
                                                    </div>
                                                </li>
                                                
                                            </ul>
        
                                        </div> 
                                    </div>
                                    <div class="col-lg-6 col-md-12">
                                        <h4 class="twm-s-title">Video</h4>
                                        <div class="video-section-first" style="background-image: url(<?php echo e(asset('frontend/images/video-bg.jpg')); ?>);">
                                            <a href="https://www.youtube.com/watch?v=c1XNqw2gSbU" class="mfp-video play-now-video">
                                                <i class="icon feather-play"></i>
                                                <span class="ripple"></span>
                                            </a>
                                        </div> 
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-12 rightSidebar">
                        <div class="side-bar mb-4">
                            <div class="twm-s-info2-wrap mb-5">
                                <div class="twm-s-info2">
                                    <h4 class="section-head-small mb-4">Job Information</h4>
                                    <ul class="twm-job-hilites">
                                        <li>
                                            <i class="fas fa-calendar-alt"></i>
                                            <span class="twm-title">Date Posted: <?php echo e($job['post_date']); ?></span>
                                        </li>
                                        <li>
                                            <i class="fas fa-eye"></i>
                                            <span class="twm-title">8160 Views</span>
                                        </li>
                                        <li>
                                            <i class="fas fa-file-signature"></i>
                                            <span class="twm-title">6 Applicants</span>
                                        </li>
                                    </ul>
                                    <ul class="twm-job-hilites2">
                                        <li>
                                            <div class="twm-s-info-inner">
                                                <i class="fas fa-map-marker-alt"></i>
                                                <span class="twm-title">Location</span>
                                                <div class="twm-s-info-discription">Munchen, Germany</div>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="twm-s-info-inner">
                                                <i class="fas fa-user-tie"></i>
                                                <span class="twm-title">Job Title</span>
                                                <div class="twm-s-info-discription"><?php echo e($job['job_name']); ?></div>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="twm-s-info-inner">
                                                <i class="fas fa-clock"></i>
                                                <span class="twm-title">Experience</span>
                                                <div class="twm-s-info-discription"><?php echo e(ucwords($job['experience'])); ?></div>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="twm-s-info-inner">
                                                <i class="fas fa-suitcase"></i>
                                                <span class="twm-title">Qualification</span>
                                                <div class="twm-s-info-discription"><?php echo e(ucwords($job['qualification'])); ?> </div>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="twm-s-info-inner">
                                                <i class="fas fa-venus-mars"></i>
                                                <span class="twm-title">Gender</span>
                                                <div class="twm-s-info-discription"><?php echo e(ucwords($job['gender'])); ?></div>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="twm-s-info-inner">
                                                <i class="fas fa-money-bill-wave"></i>
                                                <span class="twm-title">Offered Salary</span>
                                                <div class="twm-s-info-discription">&#8360; <?php echo e($job['salary']); ?></div>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <div class="widget tw-sidebar-tags-wrap">
                                <h4 class="section-head-small mb-4">Job Skills</h4>
                                <div class="tagcloud">

                                    <?php echo e($job['job_skills']); ?>


                                    <a href="javascript:void(0)">Html</a>
                                    <a href="javascript:void(0)">Python</a>
                                    <a href="javascript:void(0)">WordPress</a>
                                    <a href="javascript:void(0)">JavaScript</a>
                                    <a href="javascript:void(0)">Figma</a>
                                    <a href="javascript:void(0)">Angular</a>
                                    <a href="javascript:void(0)">Reactjs</a>
                                    <a href="javascript:void(0)">Drupal</a>
                                    <a href="javascript:void(0)">Joomla</a>
                                </div>
                            </div>

                        </div>

                        <div class="twm-s-info3-wrap mb-5">
                            <div class="twm-s-info3">
                                <div class="twm-s-info-logo-section">
                                    <div class="twm-media">
                                        <img src="<?php echo e(asset('frontend/'. $job['company_logo'])); ?>" alt="<?php echo e($job['company_name']); ?>">
                                    </div>
                                    <h4 class="twm-title"><?php echo e($job['job_name']); ?></h4>
                                </div>
                                <ul>

                                    <li>
                                        <div class="twm-s-info-inner">
                                            <i class="fas fa-building"></i>
                                            <span class="twm-title">Company</span>
                                            <div class="twm-s-info-discription"><?php echo e($job['company_name']); ?></div>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="twm-s-info-inner">
                                            <i class="fas fa-map-marker-alt"></i>
                                            <span class="twm-title">Address</span>
                                            <div class="twm-s-info-discription"><?php echo e($job['company_address']); ?></div>
                                        </div>
                                    </li>
                                </ul>
                                <a href="<?php echo e(route('company_profile')); ?>" class=" site-button">Vew Profile</a>

                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- OUR BLOG END -->
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('frontend.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\php82\htdocs\projects\jobportal\jobportal\resources\views/frontend/jobdetails.blade.php ENDPATH**/ ?>