<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;

class AdminSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('admins')->insert([
            'name' => 'Admin User',
            'email' => 'admin@gmail.com',
            'mobile' => '8373982870',
            'usertype' => 'admin',
            'password' => Hash::make('admin@123'),
            'created_at' => now(),
            'email_verified_at' => now(),
            'updated_at' => now(),
        ]);
    }
}
