@extends('frontend.layout.app')

@section('section')

<div class="page-content">
    <!-- INNER PAGE BANNER -->
    <div class="wt-bnr-inr overlay-wraper bg-center" style="background-image:url({{ asset('frontend/images/banner/1.jpg') }});">
      <div class="overlay-main site-bg-white opacity-01"></div>
      <div class="container">
        <div class="wt-bnr-inr-entry">
          <div class="banner-title-outer">
            <div class="banner-title-name">
              <h2 class="wt-title">Company Profile Page</h2>
            </div>
          </div>
          <!-- BREADCRUMB ROW -->

          <div>
            <ul class="wt-breadcrumb breadcrumb-style-2">
              <li><a href="{{ route('home') }}">Home</a></li>
              <li>Company Profile Page</li>
            </ul>
          </div>

          <!-- BREADCRUMB ROW END -->
        </div>
      </div>
    </div>
    <!-- INNER PAGE BANNER END -->
    <!-- Employer Detail START -->
    <div class="section-full  p-t120 p-b90 bg-white">
      <div class="container">
        <div class="section-content">
          <div class="row d-flex justify-content-center">
            <div class="col-lg-8 col-md-12">
              <!-- Candidate detail START -->
              <div class="cabdidate-de-info">
                <div class="twm-employer-self-wrap">
                  <div class="twm-employer-self-info">
                    <div class="twm-employer-self-top">
                      <div class="twm-media-bg">
                        <img src="{{ asset('frontend/images/employer-bg.jpg') }}" alt="#">
                      </div>
                      <div class="twm-mid-content">
                        <div class="twm-media">
                          <img class="pt-4 company_logo" src="{{ asset('frontend/images/jobs-company/pic1.jpg') }}" alt="Company Name">
                        </div>
                        <h4 class="twm-job-title">Company Name</h4>
                        <p class="twm-employer-address">
                          <i class="feather-map-pin"></i>Company Address
                        </p>
                      </div>
                    </div>
                  </div>
                </div>
                <h4 class="twm-s-title">About Company</h4>

                <div class="description">
                  <p><strong>What is Lorem Ipsum?</strong><br>Lorem Ipsum is simply dummy text of the printing and
                    typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the
                    1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen
                    book. It has survived not only five centuries, but also the leap into electronic typesetting,
                    remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset
                    sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like
                    Aldus PageMaker including versions of Lorem Ipsum.</p>
                  <p><strong>Why do we use it?</strong><br>It is a long established fact that a reader will be
                    distracted by the readable content of a page when looking at its layout. The point of using Lorem
                    Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using 'Content
                    here, content here', making it look like readable English. Many desktop publishing packages and
                    web page editors now use Lorem Ipsum as their default model text, and a search for 'lorem ipsum'
                    will uncover many web sites still in their infancy. Various versions have evolved over the years,
                    sometimes by accident, sometimes on purpose (injected humour and the like).</p>
                </div>

                <h4 class="twm-s-title">Share Profile</h4>
                <div class="twm-social-tags">
                  <a href="javascript:void(0)" class="fb-clr">Facebook</a>
                  <a href="javascript:void(0)" class="tw-clr">Twitter</a>
                  <a href="javascript:void(0)" class="link-clr">Linkedin</a>
                  <a href="javascript:void(0)" class="whats-clr">Whatsapp</a>
                  <a href="javascript:void(0)" class="pinte-clr">Pinterest</a>
                </div>

                <div class="twm-two-part-section">
                  <div class="row">

                    <div class="col-lg-6 col-md-6">
                      <h4 class="twm-s-title">Office Photos</h4>
                      <div class="tw-sidebar-gallery">
                        <ul>
                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic1.jpg" title="Title 1" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic1.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic1.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic2.jpg" title="Title 2" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic2.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic2.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb ">
                              <a class="elem" href="images/gallery/pic3.jpg" title="Title 3" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic3.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic3.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic4.jpg" title="Title 4" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic4.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic4.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic5.jpg" title="Title 5" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic5.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic5.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic6.jpg" title="Title 6" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic6.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic6.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic7.jpg" title="Title 7" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic1.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic7.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic8.jpg" title="Title 8" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic2.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic8.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb ">
                              <a class="elem" href="images/gallery/pic9.jpg" title="Title 9" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic3.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic9.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic10.jpg" title="Title 10" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic4.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic10.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic11.jpg" title="Title 11" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic5.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic11.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                          <li>
                            <div class="tw-service-gallery-thumb">
                              <a class="elem" href="images/gallery/pic12.jpg" title="Title 12" data-lcl-author=""
                                data-lcl-thumb="images/gallery/thumb/pic6.jpg">
                                <img src="{{ asset('frontend/images/gallery/thumb/pic12.jpg') }}" alt="">
                                <i class="fa fa-file-image"></i>
                              </a>
                            </div>
                          </li>

                        </ul>

                      </div>
                    </div>
                    <div class="col-lg-6 col-md-6">
                      <h4 class="twm-s-title">Video</h4>
                      <div class="video-section-first" style="background-image: url({{ asset('frontend/images/video-bg.jpg') }});">
                        <a href="https://www.youtube.com/watch?v=c1XNqw2gSbU" class="mfp-video play-now-video">
                          <i class="icon feather-play"></i>
                          <span class="ripple"></span>
                        </a>
                      </div>
                    </div>

                  </div>
                </div>

              </div>
            </div>

            <!-- Right Side Bar -->
            <div class="col-lg-4 col-md-12 rightSidebar">
              <div class="side-bar-2">
                <div class="twm-s-info-wrap mb-5 mt-4">
                  <h4 class="section-head-small mb-4">Company Info</h4>
                  <div class="twm-s-info">
                    <ul>
                      <li>
                        <div class="twm-s-info-inner">
                          <i class="fas fa-building"></i>
                          <span class="twm-title">Company Name</span>
                          <div class="twm-s-info-discription">Company Name</div>
                        </div>
                      </li>
                      <li>
                        <div class="twm-s-info-inner">
                          <i class="fas fa-calendar-check"></i>
                          <span class="twm-title">Founded</span>
                          <div class="twm-s-info-discription">2011</div>
                        </div>
                      </li>
                      <li>
                        <div class="twm-s-info-inner">
                          <i class="fas fa-users"></i>
                          <span class="twm-title">Company Size</span>
                          <div class="twm-s-info-discription">6-20</div>
                        </div>
                      </li>
                      <li>
                        <div class="twm-s-info-inner">
                          <i class="fas fa-building"></i>
                          <span class="twm-title">Headquarter</span>
                          <div class="twm-s-info-discription">Delhi</div>
                        </div>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Employer Detail END -->
  </div>

@endsection