<!DOCTYPE html>
<html lang="en">

<head>

    <!-- META -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="" />
    <meta name="author" content="" />
    <meta name="robots" content="" />
    <meta name="description" content="" />

    <!-- FAVICONS ICON -->
    <link rel="icon" href="images/favicon.ico" type="image/x-icon" />
    <link rel="shortcut icon" type="image/x-icon" href="images/favicon.png" />

    <!-- PAGE TITLE HERE -->
    <title>Jobzilla Template | Home Page Style 1</title>

    <!-- MOBILE SPECIFIC -->
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/bootstrap.min.css')); ?>"><!-- BOOTSTRAP STYLE SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/font-awesome.min.css')); ?>"><!-- FONTAWESOME STYLE SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/feather.css')); ?>"><!-- FEATHER ICON SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/owl.carousel.min.css')); ?>"><!-- OWL CAROUSEL STYLE SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/magnific-popup.min.css')); ?>"><!-- MAGNIFIC POPUP STYLE SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/lc_lightbox.css')); ?>"><!-- Lc light box popup -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/bootstrap-select.min.css')); ?>"><!-- BOOTSTRAP SLECT BOX STYLE SHEET  -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/dataTables.bootstrap5.min.css')); ?>"><!-- DATA table STYLE SHEET  -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/select.bootstrap5.min.css')); ?>">
    <!-- DASHBOARD select bootstrap  STYLE SHEET  -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/dropzone.css')); ?>"><!-- DROPZONE STYLE SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/scrollbar.css')); ?>"><!-- CUSTOM SCROLL BAR STYLE SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/datepicker.css')); ?>"><!-- DATEPICKER STYLE SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/flaticon.css')); ?>"> <!-- Flaticon -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/swiper-bundle.min.css')); ?>"><!-- Swiper Slider -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/style.css')); ?>"><!-- MAIN STYLE SHEET -->

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/custom.css')); ?>"><!-- CUSTOM STYLE SHEET -->
    <!-- THEME COLOR CHANGE STYLE SHEET -->
    <link rel="stylesheet" class="skin" type="text/css" href="<?php echo e(asset('frontend/css/skins-type/skin-6.css')); ?>">
    <!-- SIDE SWITCHER STYLE SHEET -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend/css/switcher.css')); ?>">

</head>

<body>

    <!-- LOADING AREA START ===== -->
    <div class="loading-area">
        <div class="loading-box"></div>
        <div class="loading-pic">
            <div class="wrapper">
                <div class="cssload-loader"></div>
            </div>
        </div>
    </div>
    <!-- LOADING AREA  END ====== -->

    <div class="page-wraper">

        <!-- HEADER START -->
        <header class="site-header header-style-3 mobile-sider-drawer-menu">
            <div class="sticky-header main-bar-wraper  navbar-expand-lg">
                <div class="main-bar">
                    <div class="container-fluid clearfix">
                        <div class="logo-header">
                            <div class="logo-header-inner logo-header-one">
                                <a href="<?php echo e(route('home')); ?>">
                                    <img src="<?php echo e(asset('frontend/images/logo-dark.png')); ?>" alt="">
                                </a>
                            </div>
                        </div>

                        <!-- NAV Toggle Button -->
                        <button id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button"
                            class="navbar-toggler collapsed">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar icon-bar-first"></span>
                            <span class="icon-bar icon-bar-two"></span>
                            <span class="icon-bar icon-bar-three"></span>
                        </button>

                        <!-- MAIN Vav -->
                        <div class="nav-animation header-nav navbar-collapse collapse d-flex justify-content-center">
                            <ul class=" nav navbar-nav">
                                <li class="has-mega-menu"><a href="<?php echo e(route('home')); ?>">Home</a></li>
                                <li class="has-child"><a href="<?php echo e(route('joblist')); ?>">Jobs List</a></li>
                                
                            </ul>
                        </div>

                        <!-- Header Right Section-->
                        <div class="extra-nav header-2-nav">
                            <div class="extra-cell">
                                <div class="header-nav-btn-section">
                                    <div class="twm-nav-btn-left">
                                        <a class="twm-nav-sign-up" data-bs-toggle="modal" href="#sign_up_popup"
                                            role="button">
                                            <i class="feather-log-in"></i> Sign Up
                                        </a>
                                    </div>
                                    <div class="twm-nav-btn-right">
                                        <a href="login.html" class="twm-nav-post-a-job">
                                            <i class="feather-briefcase"></i> Post a job
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <!-- HEADER END -->

        <?php echo $__env->yieldContent('section'); ?>

        <!-- FOOTER START -->
        <footer class="footer-dark" style="background-image: url(<?php echo e(asset('frontend/images/f-bg.jpg')); ?>);">
            <div class="container">

                <!-- NEWS LETTER SECTION START -->
                <div class="ftr-nw-content">
                    <div class="row">
                        <div class="col-md-5">
                            <div class="ftr-nw-title">
                                Join our email subscription now to get updates
                                on new jobs and notifications.
                            </div>
                        </div>
                        <div class="col-md-7">
                            <form>
                                <div class="ftr-nw-form">
                                    <input name="news-letter" class="form-control" placeholder="Enter Your Email"
                                        type="text">
                                    <button class="ftr-nw-subcribe-btn">Subscribe Now</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!-- NEWS LETTER SECTION END -->
                <!-- FOOTER BLOCKES START -->
                <div class="footer-top">
                    <div class="row">

                        <div class="col-lg-3 col-md-12">

                            <div class="widget widget_about">
                                <div class="logo-footer clearfix">
                                    <a href="<?php echo e(route('home')); ?>"><img src="images/logo-light.png" alt=""></a>
                                </div>
                                <p>Many desktop publishing packages and web page editors now.</p>
                                <ul class="ftr-list">
                                    <li>
                                        <p><span>Address :</span>65 Sunset CA 90026, USA </p>
                                    </li>
                                    <li>
                                        <p><span>Email :</span>example@max.com</p>
                                    </li>
                                    <li>
                                        <p><span>Call :</span>555-555-1234</p>
                                    </li>
                                </ul>
                            </div>

                        </div>

                        <div class="col-lg-9 col-md-12">
                            <div class="row">

                                <div class="col-lg-3 col-md-6 col-sm-6">
                                    <div class="widget widget_services ftr-list-center">
                                        <h3 class="widget-title">For Candidate</h3>
                                        <ul>
                                            <li><a href="dashboard.html">User Dashboard</a></li>
                                            <li><a href="dash-resume-alert.html">Alert resume</a></li>
                                            <li><a href="candidate-grid.html">Candidates</a></li>
                                            <li><a href="blog-list.html">Blog List</a></li>
                                            <li><a href="blog-single.html">Blog single</a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="col-lg-3 col-md-6 col-sm-6">
                                    <div class="widget widget_services ftr-list-center">
                                        <h3 class="widget-title">For Employers</h3>
                                        <ul>
                                            <li><a href="dash-post-job.html">Post Jobs</a></li>
                                            <li><a href="blog-grid.html">Blog Grid</a></li>
                                            <li><a href="contact.html">Contact</a></li>
                                            <li><a href="job-list.html">Jobs Listing</a></li>
                                            <li><a href="job-detail.html">Jobs details</a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="col-lg-3 col-md-6 col-sm-6">
                                    <div class="widget widget_services ftr-list-center">
                                        <h3 class="widget-title">Helpful Resources</h3>
                                        <ul>
                                            <li><a href="faq.html">FAQs</a></li>
                                            <li><a href="employer-detail.html">Employer detail</a></li>
                                            <li><a href="dash-my-profile.html">Profile</a></li>
                                            <li><a href="error-404.html">404 Page</a></li>
                                            <li><a href="pricing.html">Pricing</a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="col-lg-3 col-md-6 col-sm-6">
                                    <div class="widget widget_services ftr-list-center">
                                        <h3 class="widget-title">Quick Links</h3>
                                        <ul>
                                            <li><a href="<?php echo e(route('home')); ?>">Home</a></li>
                                            <li><a href="about-1.html">About us</a></li>
                                            <li><a href="dash-bookmark.html">Bookmark</a></li>
                                            <li><a href="job-grid.html">Jobs</a></li>
                                            <li><a href="employer-list.html">Employer</a></li>
                                        </ul>
                                    </div>
                                </div>

                            </div>

                        </div>

                    </div>
                </div>
                <!-- FOOTER COPYRIGHT -->
                <div class="footer-bottom">

                    <div class="footer-bottom-info">

                        <div class="footer-copy-right">
                            <span class="copyrights-text">Copyright © 2023 by thewebmax All Rights Reserved.</span>
                        </div>
                        <ul class="social-icons">
                            <li><a href="javascript:void(0);" class="fab fa-facebook-f"></a></li>
                            <li><a href="javascript:void(0);" class="fab fa-twitter"></a></li>
                            <li><a href="javascript:void(0);" class="fab fa-instagram"></a></li>
                            <li><a href="javascript:void(0);" class="fab fa-youtube"></a></li>
                        </ul>

                    </div>

                </div>

            </div>

        </footer>
        <!-- FOOTER END -->

        <!-- BUTTON TOP START -->
        <button class="scroltop"><span class="fa fa-angle-up  relative" id="btn-vibrate"></span></button>

        <!--Model Popup Section Start-->
        <!--Signup popup -->
        <div class="modal fade twm-sign-up" id="sign_up_popup" aria-hidden="true" aria-labelledby="sign_up_popupLabel"
            tabindex="-1">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <form>

                        <div class="modal-header">
                            <h2 class="modal-title" id="sign_up_popupLabel">Sign Up</h2>
                            <p>Sign Up and get access to all the features of Jobzilla</p>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>

                        <div class="modal-body">
                            <div class="twm-tabs-style-2">
                                <ul class="nav nav-tabs" id="myTab" role="tablist">

                                    <!--Signup Candidate-->
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link active" data-bs-toggle="tab"
                                            data-bs-target="#sign-candidate" type="button"><i
                                                class="fas fa-user-tie"></i>Candidate</button>
                                    </li>
                                    <!--Signup Employer-->
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link" data-bs-toggle="tab" data-bs-target="#sign-Employer"
                                            type="button"><i class="fas fa-building"></i>Employer</button>
                                    </li>

                                </ul>
                                <div class="tab-content" id="myTabContent">
                                    <!--Signup Candidate Content-->
                                    <div class="tab-pane fade show active" id="sign-candidate">
                                        <div class="row">

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="username" type="text" required="" class="form-control"
                                                        placeholder="Usearname*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="email" type="text" class="form-control" required=""
                                                        placeholder="Password*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="phone" type="text" class="form-control" required=""
                                                        placeholder="Email*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="phone" type="text" class="form-control" required=""
                                                        placeholder="Phone*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <div class=" form-check">
                                                        <input type="checkbox" class="form-check-input" id="agree1">
                                                        <label class="form-check-label" for="agree1">I agree to the <a
                                                                href="javascript:;">Terms and conditions</a></label>
                                                        <p>Already registered?
                                                            <button class="twm-backto-login"
                                                                data-bs-target="#sign_up_popup2" data-bs-toggle="modal"
                                                                data-bs-dismiss="modal">Log in here</button>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <button type="submit" class="site-button">Sign Up</button>
                                            </div>

                                        </div>
                                    </div>
                                    <!--Signup Employer Content-->
                                    <div class="tab-pane fade" id="sign-Employer">
                                        <div class="row">

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="username" type="text" required="" class="form-control"
                                                        placeholder="Usearname*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="email" type="text" class="form-control" required=""
                                                        placeholder="Password*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="phone" type="text" class="form-control" required=""
                                                        placeholder="Email*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="phone" type="text" class="form-control" required=""
                                                        placeholder="Phone*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <div class=" form-check">
                                                        <input type="checkbox" class="form-check-input" id="agree2">
                                                        <label class="form-check-label" for="agree2">I agree to the <a
                                                                href="javascript:;">Terms and conditions</a></label>
                                                        <p>Already registered?
                                                            <button class="twm-backto-login"
                                                                data-bs-target="#sign_up_popup2" data-bs-toggle="modal"
                                                                data-bs-dismiss="modal">Log in here</button>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <button type="submit" class="site-button">Sign Up</button>
                                            </div>

                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <span class="modal-f-title">Login or Sign up with</span>
                            <ul class="twm-modal-social">
                                <li><a href="javascript.html" class="facebook-clr"><i class="fab fa-facebook-f"></i></a>
                                </li>
                                <li><a href="javascript.html" class="twitter-clr"><i class="fab fa-twitter"></i></a>
                                </li>
                                <li><a href="javascript.html" class="linkedin-clr"><i
                                            class="fab fa-linkedin-in"></i></a></li>
                                <li><a href="javascript.html" class="google-clr"><i class="fab fa-google"></i></a></li>
                            </ul>
                        </div>

                    </form>
                </div>
            </div>

        </div>
        <!--Login popup -->
        <div class="modal fade twm-sign-up" id="sign_up_popup2" aria-hidden="true" aria-labelledby="sign_up_popupLabel2"
            tabindex="-1">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">

                    <form>
                        <div class="modal-header">
                            <h2 class="modal-title" id="sign_up_popupLabel2">Login</h2>
                            <p>Login and get access to all the features of Jobzilla</p>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div class="twm-tabs-style-2">
                                <ul class="nav nav-tabs" id="myTab2" role="tablist">

                                    <!--Login Candidate-->
                                    <li class="nav-item">
                                        <button class="nav-link active" data-bs-toggle="tab"
                                            data-bs-target="#login-candidate" type="button"><i
                                                class="fas fa-user-tie"></i>Candidate</button>
                                    </li>
                                    <!--Login Employer-->
                                    <li class="nav-item">
                                        <button class="nav-link" data-bs-toggle="tab" data-bs-target="#login-Employer"
                                            type="button"><i class="fas fa-building"></i>Employer</button>
                                    </li>

                                </ul>

                                <div class="tab-content" id="myTab2Content">
                                    <!--Login Candidate Content-->
                                    <div class="tab-pane fade show active" id="login-candidate">
                                        <div class="row">

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="username" type="text" required="" class="form-control"
                                                        placeholder="Usearname*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="email" type="text" class="form-control" required=""
                                                        placeholder="Password*">
                                                </div>
                                            </div>


                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <div class=" form-check">
                                                        <input type="checkbox" class="form-check-input" id="Password3">
                                                        <label class="form-check-label rem-forgot"
                                                            for="Password3">Remember me <a href="javascript:;">Forgot
                                                                Password</a></label>

                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <button type="submit" class="site-button">Log in</button>
                                                <div class="mt-3 mb-3">Don't have an account ?
                                                    <button class="twm-backto-login" data-bs-target="#sign_up_popup"
                                                        data-bs-toggle="modal" data-bs-dismiss="modal">Sign Up</button>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <!--Login Employer Content-->
                                    <div class="tab-pane fade" id="login-Employer">
                                        <div class="row">

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="username" type="text" required="" class="form-control"
                                                        placeholder="Usearname*">
                                                </div>
                                            </div>

                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <input name="email" type="text" class="form-control" required=""
                                                        placeholder="Password*">
                                                </div>
                                            </div>


                                            <div class="col-lg-12">
                                                <div class="form-group mb-3">
                                                    <div class=" form-check">
                                                        <input type="checkbox" class="form-check-input" id="Password4">
                                                        <label class="form-check-label rem-forgot"
                                                            for="Password4">Remember me <a href="javascript:;">Forgot
                                                                Password</a></label>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <button type="submit" class="site-button">Log in</button>
                                                <div class="mt-3 mb-3">Don't have an account ?
                                                    <button class="twm-backto-login" data-bs-target="#sign_up_popup"
                                                        data-bs-toggle="modal" data-bs-dismiss="modal">Sign Up</button>
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <span class="modal-f-title">Login or Sign up with</span>
                            <ul class="twm-modal-social">
                                <li><a href="javascript.html" class="facebook-clr"><i class="fab fa-facebook-f"></i></a>
                                </li>
                                <li><a href="javascript.html" class="twitter-clr"><i class="fab fa-twitter"></i></a>
                                </li>
                                <li><a href="javascript.html" class="linkedin-clr"><i
                                            class="fab fa-linkedin-in"></i></a></li>
                                <li><a href="javascript.html" class="google-clr"><i class="fab fa-google"></i></a></li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!--Model Popup Section End-->


    </div>



    <!-- JAVASCRIPT  FILES ========================================= -->
    <script src="<?php echo e(asset('frontend/js/jquery-3.6.0.min.js')); ?>"></script><!-- JQUERY.MIN JS -->
    <script src="<?php echo e(asset('frontend/js/popper.min.js')); ?>"></script><!-- POPPER.MIN JS -->
    <script src="<?php echo e(asset('frontend/js/bootstrap.min.js')); ?>"></script><!-- BOOTSTRAP.MIN JS -->
    <script src="<?php echo e(asset('frontend/js/magnific-popup.min.js')); ?>"></script><!-- MAGNIFIC-POPUP JS -->
    <script src="<?php echo e(asset('frontend/js/waypoints.min.js')); ?>"></script><!-- WAYPOINTS JS -->
    <script src="<?php echo e(asset('frontend/js/counterup.min.js')); ?>"></script><!-- COUNTERUP JS -->
    <script src="<?php echo e(asset('frontend/js/waypoints-sticky.min.js')); ?>"></script><!-- STICKY HEADER -->
    <script src="<?php echo e(asset('frontend/js/isotope.pkgd.min.js')); ?>"></script><!-- MASONRY  -->
    <script src="<?php echo e(asset('frontend/js/imagesloaded.pkgd.min.js')); ?>"></script><!-- MASONRY  -->
    <script src="<?php echo e(asset('frontend/js/owl.carousel.min.js')); ?>"></script><!-- OWL  SLIDER  -->
    <script src="<?php echo e(asset('frontend/js/theia-sticky-sidebar.js')); ?>"></script><!-- STICKY SIDEBAR  -->
    <script src="<?php echo e(asset('frontend/js/lc_lightbox.lite.js')); ?>"></script><!-- IMAGE POPUP -->
    <script src="<?php echo e(asset('frontend/js/bootstrap-select.min.js')); ?>"></script><!-- Form js -->
    <script src="<?php echo e(asset('frontend/js/dropzone.js')); ?>"></script><!-- IMAGE UPLOAD  -->
    <script src="<?php echo e(asset('frontend/js/jquery.scrollbar.js')); ?>"></script><!-- scroller -->
    <script src="<?php echo e(asset('frontend/js/bootstrap-datepicker.js')); ?>"></script><!-- scroller -->
    <script src="<?php echo e(asset('frontend/js/jquery.dataTables.min.js')); ?>"></script><!-- Datatable -->
    <script src="<?php echo e(asset('frontend/js/dataTables.bootstrap5.min.js')); ?>"></script><!-- Datatable -->
    <script src="<?php echo e(asset('frontend/js/chart.js')); ?>"></script><!-- Chart -->
    <script src="<?php echo e(asset('frontend/js/bootstrap-slider.min.js')); ?>"></script><!-- Price range slider -->
    <script src="<?php echo e(asset('frontend/js/swiper-bundle.min.js')); ?>"></script><!-- Swiper JS -->

    <script src="<?php echo e(asset('frontend/plugins/jquery.simplePagination.min.js')); ?>"></script>

    <script src="<?php echo e(asset('frontend/js/custom.js')); ?>"></script><!-- CUSTOM FUCTIONS  -->

    <script>

        var baseUrl = "<?php echo e(url('/')); ?>";
        var jobDetailsRoute = "<?php echo e(url('jobdetails/:id')); ?>";

        $(document).ready(function () {
            function sortByRecentDate(data) {
                data.sort(function(a, b) {
                    var dateA = new Date(a.post_date);
                    var dateB = new Date(b.post_date);
                    return dateB - dateA;
                });
                return data;
            }

            function encodeId(id) {
                return bin2hex(base64_encode(id.toString()));
            }

            function bin2hex(bin) {
                return bin.split('').map(function (char) {
                    return char.charCodeAt(0).toString(16).padStart(2, '0');
                }).join('');
            }

            function base64_encode(str) {
                return btoa(unescape(encodeURIComponent(str)));
            }

            function renderJobs(data) {
                var jobs = '';

                $.each(data, function (key, value) {
                    var encodedId = encodeId(value.id);
                    var jobDetailsUrl = jobDetailsRoute.replace(':id', encodedId);

                    jobs += '<li class="itemlist">';
                    jobs += '<div class="twm-jobs-list-style1 mb-5">';
                    jobs += '<div class="twm-media"><img src="' + baseUrl + '/frontend/' + value.company_logo + '" alt="' + value.company_name + '"></div>';
                    jobs += '<div class="twm-mid-content">';
                    jobs += '<a href="' + jobDetailsUrl + '" class="twm-job-title"><h4 class="twm-job-title">' + value.job_name + '<span class="twm-job-post-duration" data-postdate="'+value.post_date+'"> / ' + daysAgo(value.post_date) + '</span></h4></a>';
                    jobs += '<p class="twm-job-address">' + value.company_address + '</p></div>';
                    jobs += '<div class="twm-right-content">';
                    jobs += '<div class="twm-jobs-category green"><span class="twm-bg-sky">' + value.job_type + '</span></div>';
                    jobs += '<div class="twm-jobs-amount"> &#8377; ' + value.salary + ' <span>/ Month</span></div>';
                    jobs += '<a href="' + jobDetailsUrl + '" class="twm-jobs-browse site-text-primary">Browse Job</a>';
                    jobs += '</div>';
                    jobs += '</div></li>';
                });
                $('#totalJobs').html(jobs);
                initializePagination();
            }

            function filterJobs(data) {
                var selectedTypes = [];
                $('.form-check-input:checked').each(function() {
                    selectedTypes.push($(this).val());
                });
                if (selectedTypes.length > 0) {
                    data = data.filter(function(job) {
                        return selectedTypes.includes(job.job_type);
                    });
                }
                return data;
            }

            function updateJobCounts(data) {
                var counts = {
                    'Freelance': 0,
                    'Full Time': 0,
                    'Internship': 0,
                    'Part Time': 0,
                    'Temporary': 0
                };
                data.forEach(function(job) {
                    if (counts[job.job_type] !== undefined) {
                        counts[job.job_type]++;
                    }
                });
                $('#freelance-count').text(counts['Freelance']);
                $('#fulltime-count').text(counts['Full Time']);
                $('#internship-count').text(counts['Internship']);
                $('#parttime-count').text(counts['Part Time']);
                $('#temporary-count').text(counts['Temporary']);
            }

            $.getJSON("<?php echo e(asset('frontend/joblist.json')); ?>", function (data) {
                data = sortByRecentDate(data);
                renderJobs(data);
                updateJobCounts(data);

                $('.form-check-input').on('change', function() {
                    var filteredData = filterJobs(data);
                    renderJobs(filteredData);
                    updateJobCounts(filteredData);
                });
            });

            var displayView = 5;

            $('#viewCountJob').on('change', function() {
                displayView = parseInt($(this).val(), 10);
                $('#pagination').pagination('destroy');
                initializePagination();
            });

            function initializePagination() {
                $(".jobListView li").hide();
                $(".jobListView li").slice(0, displayView).show();
                var totalJobsCount = $('#totalJobs li').length;
                $('#pagination').pagination({
                    items: totalJobsCount,
                    itemsOnPage: displayView,
                    onPageClick: function(page, event) {
                        var start = (page - 1) * displayView;
                        var end = start + displayView;
                        $(".jobListView li").hide().slice(start, end).show();
                    }
                });
            }

            initializePagination();
            });

    </script>

    <script>
        function daysAgo(dateString) {
            var currentDate = new Date(); // Current date
            var givenDate = new Date(dateString); // Convert given date string to Date object

            // Calculate difference in milliseconds
            var timeDiff = currentDate.getTime() - givenDate.getTime();
            
            // Calculate days difference
            var diffDays = Math.floor(timeDiff / (1000 * 3600 * 24));

            // Format output based on days difference
            if (diffDays === 1) {
                return '1 day ago';
            } else if (diffDays > 1) {
                return diffDays + ' days ago';
            } else {
                return 'Today'; // If the date is today (diffDays === 0), you can customize this message
            }
        }
    </script>

</body>

</html><?php /**PATH C:\xampp\htdocs\shiv\jobportal\jobportal_laravel\resources\views/frontend/layout/app.blade.php ENDPATH**/ ?>